"Politics and Adversarial Media" by "Adam, Andras, and Roman"

Use American dialect and undo prevention.
Include Real-Time Delays by Erik Temple.
The standard report waiting rule is not listed in any rulebook.
Use MAX_PROP_TABLE_SIZE of 50000.
Use MAX_STATIC_DATA of 1500000.
Use MAX_DICT_ENTRIES of 5000.

Chapter 1 - Creating the Commercial

Part 1 - Your Office

Your Office is a room. The description of Your Office is "[italic type]You're in your office drinking your daily scotch when you hear a knock". The player is in Your Office. 
CandidateFirstName is a text variable.
CandidateLastName is a text variable.
CandidateName is a text variable.
CandidateParty is a text variable.
OppositionName is a text variable.
OppositionLastName is a text variable.
HasSelectedCandidate is a truth state that varies. HasSelectedCandidate is usually false.
JimEntered is a truth state that varies. JimEntered is usually false.

Asking Knocker is an action applying to nothing. Understand "who is it" as asking knocker.
After asking knocker:
	if HasSelectedCandidate is false:
		say "It[apostrophe]s Jim".

Allowing Entrance is an action applying to nothing. Understand "hello" or "hi" or "hey" or "proceed" or "enter" or "come in" or "whats up" as allowing entrance when player is in Your Office.
After allowing entrance:
	if HasSelectedCandidate is false:
		change JimEntered to true;
		say "[italic type]Jim, your assistant, enters your office"; 
		say "[roman type][line break][line break]Sorry to bother you, but we've been approached by both the Oregon's Democratic Senator Sandy Jenkins, and one of Texas[apostrophe] Republican Congressman John Smith to run an ad campaign. Who do you want me to write up a contract for?"; 

Selecting dem is an action applying to nothing. Understand "Democrat" or "dem" or "Sandy" or "Jenkins" or "Sandy Jenkins" as selecting dem when player is in Your Office and JimEntered is true.
After selecting dem:
	if HasSelectedCandidate is false:
		say "Alright I'll alert Jenkin's campaign";
		change CandidateName to "Sandy Jenkins";
		change CandidateFirstName to "Sandy";
		change CandidateLastName to "Jenkins";
		change OppositionName to "John Smith";
		change OppositionLastName to "Smith";
		change HasSelectedCandidate to true;
		change CandidateParty to "dem";
		say "[line break][line break][italic type]You hear a buzz come from the phone. It is your secretary; Steve wants to see you in the conference room. Sighing, you get up and leave your office, stroll down the corridor, and quietly open the door to the conference room. You see Steve, your primary designer, looking out the window at the far side of the room, his back to you.";
		move player to Advertising Agency Common Room, without printing a room description.
	
Selecting repub is an action applying to nothing. Understand "Republican" or "repub" or "John" or "Smith" or "John Smith" as selecting repub when player is in Your Office and JimEntered is true.
After selecting repub:
	if HasSelectedCandidate is false:
		say "Alright I'll alert Smith[apostrophe]s campaign";
		change CandidateName to "John Smith";
		change CandidateFirstName to "John";
		change CandidateLastName to "Smith";
		change OppositionName to "Sandy Jenkins";
		change OppositionLastName to "Jenkins";
		change HasSelectedCandidate to true;
		change CandidateParty to "rep";
		say "[line break][line break][italic type]You hear a buzz come from the phone. It is your secretary; Steve wants to see you in the conference room. Sighing, you get up and leave your office, stroll down the corridor, and quietly open the door to the conference room. You see Steve, your primary designer, looking out the window at the far side of the room, his back to you.";
		move player to Advertising Agency Common Room, without printing a room description.
		
Part 2 - The Advertising Agency	


The Advertising Agency Common Room is a room. In the Advertising Agency Common Room is a man called Steve. You are in the room.

[Declare boolean variables]
HasSelectedSocial is a truth state that varies. HasSelectedSocial is usually false.
HasSelectedEcon is a truth state that varies. HasSelectedEcon is usually false.
HasInitiatedConvo is a truth state that varies. HasInitiatedConvo is usually false.
ChosenIssue is a text variable that varies. 

[Initiating Conversation]
Initiating conversation is an action applying to nothing. Understand "hello" or "hi" or "whats up" or "hey" or "garcon" as initiating conversation when player is in The Advertising Agency Common Room. 
After initiating conversation: 
	if HasInitiatedConvo is false:
		change HasInitiatedConvo to true;
		say "[line break]Oh hey. So [CandidateName] wants us to do an ad. They were thinking of focusing on something social or economic. What do you think would be better?";
	otherwise if HasInitiatedConvo is true:
		say "[line break]You feeling okay?"

[If user wants econ]
ChosenSubject is a text variable.
Selecting economic is an action applying to nothing. Understand "economic" or "econ" as selecting economic when player is in The Advertising Agency Common Room. 
Before Selecting Economic:
	if HasInitiatedConvo is false:
		Try initiating conversation;
	otherwise:
		if HasSelectedSocial is true:
			say "[line break]Changed your mind? Okay bossman[line break]";
			say "[line break]Money is always important. With all those recent protests about health care, that might be a good topic to work on. Taxes, the old standby, is always popular though. Which would you suggest?";
			change HasSelectedSocial to false;
			change HasSelectedEcon to true;
			change ChosenSubject to "economic";
		otherwise:	
			change HasSelectedEcon to true;
			change ChosenSubject to "economic";
			say "[line break]Money is always important. With all those recent protests about health care, that might be a good topic to work on. Taxes, the old standby, is always popular though. Which would you suggest?"
	

[if uset wants social]
P is a number variable.
Selecting social is an action applying to nothing. Understand "social" or "soc" as selecting social when player is in The Advertising Agency Common Room. 
Before selecting social:
	if HasInitiatedConvo is false:
		try initiating conversation;
	otherwise:
		if HasSelectedEcon is false:
			change HasSelectedSocial to true;
			say "[line break]Ya I was thinking social as well.";
			let N be a random number from 1 to 2;
			change p to n;
			say "[line break]The abortion issue is heating up again, maybe we could hit that, although people are pretty angry about gay marriage too. I think [Topic Name in row N of the Table of SocialTopics] but what do you think?";
			change ChosenSubject to "social";
		otherwise:
			say "[line break]Change your mind? Okie dokie.";
			let N be a random number from 1 to 2;
			change p to n;
			say "[line break]The abortion issue is heating up again, maybe we could hit that, although people are pretty angry about gay marriage too. I think [Topic Name in row N of the Table of SocialTopics] but what do you think?";
			change HasSelectedEcon to false;
			change ChosenSubject to "social";
			change HasSelectedSocial to true.
				
			
		
Table of SocialTopics
Topic Number 	Topic Name
1	"abortion"
2	"gay marriage" 

[Choose Gay marriage]
Choosing Marriage is an action applying to nothing. Understand "gay marriage" or "gay" or "marriage" as Choosing Marriage when HasSelectedSocial is true and HasSelectedEcon is false.
Before Choosing Marriage:
	change ChosenIssue to "marriage";
	if P is 1:
		say "[line break]Okay thats fine, we[apostrophe]ll go with that";
	otherwise:
		say "[line break]Great, I totally agree";
		
[choosing abortion]
Choosing Abortion is an action applying to nothing. Understand "abortion" or "ab" as Choosing Abortion when HasSelectedSocial is true and HasSelectedEcon is false and ChosenIssue is not "marriage".
Before Choosing Abortion:
	change ChosenIssue to "abortion";
	if P is 1:
		say "[line break]That[apostrophe]s what I was thinking too";
	otherwise:
		say "[line break]Sure, we can go with that".
		
[Choose healthcare]
Choosing Healthcare is an action applying to nothing. Understand "healthcare" or "health care" or "health" or "health insurance" or "insurance" or "medicare" or "medical" as choosing healthcare when HasSelectedEcon is true and HasSelectedSocial is false.
Before Choosing Healthcare:
	change ChosenIssue to "healthcare";
	say "[line break]Sounds good to me. The health insurance debates are really hot right now; perfect timing".
	
[Choose taxes]
Choosing Taxes is an action applying to nothing. Understand "taxes" or "tax" or "tariffs" or "tax man" as choosing taxes when HasSelectedEcon is true and HasSelectedSocial is false.
Before Choosing Taxes:
	change ChosenIssue to "taxes";
	say "[line break]If there[apostrophe]s one thing that gets people[apostrophe]s attention, it[']s taxes[unicode 33]".
	
[Probing for strength]
HasSelectedTopic is a truth state that varies. HasSelectedTopic is usually false.
Probe1 is a truth state that varies. Probe1 is usually false.
Probe2 is a truth state that varies. Probe2 is usually false.
HasShakeup is a truth state that varies. HasShakeup is usually false.
StrengthIndex is a number that varies. StrengthIndex is usually 0.
AcceptProposal is a truth state that varies. AcceptProposal is usually false.
AdInput is some indexed text that varies. 


After Choosing Marriage or Choosing Abortion or choosing Healthcare or Choosing Taxes:
	change HasSelectedTopic to true;
	change Probe1 to true;
	say "[line break]Now that we[']ve got that out of the way, I wanted to talk to you about something. Things have gotten pretty quiet on capitol hill, I think it[']s time we shook it up a bit. Agreed?".
	
Proposing Ad is an action applying to nothing.	

NoShakeuping is an action applying to nothing. Understand "no" or "not yet" or "calm down" as NoShakeuping when Probe1 is true and Probe2 is false and HasSelectedTopic is true.
After NoShakeuping:
	change StrengthIndex to 1;
	change Probe1 to false;
	say "[line break]Alright, I guess we shouldn[']t rock the boat quite yet then";
	Try Proposing Ad. 
	
Shakeuping is an action applying to nothing. Understand "yes" or "yea" or "yup" or "shake it" or "shake it up" as shakeuping when HasSelectedTopic is true and Probe1 is true and Probe2 is false.
After shakeuping:
	change HasShakeup to true;
	change Probe1 to false;
	change Probe2 to true;
	say "[line break]I am willing to go all the way. What do you think? Should we nail the bastards to the wall?".
	
Nailing is an action applying to nothing. Understand "yes" or "yea" or "yup" or "nail" or "nail the bastards" or "bastards" or "good" or "sounds good" or "do it" as Nailing when HasSelectedTopic is true and Probe1 is false and Probe2 is true.
After nailing:
	change StrengthIndex to 3;
	change Probe2 to false;
	say "[line break]Let[']s do it[unicode 33]";
	Try proposing ad.
	
NoNailing is an action applying to nothing. Understand "no" or "nope" or "calm down" or "hell no" or "slow it down" or "slow down" as NoNailing when HasSelectedTopic is true and Probe1 is false and Probe2 is true.
After nonailing:
	change StrengthIndex to 2;
	change probe2 to false;
	say "[line break]Alright, a happy medium it is then";
	Try Proposing Ad.

[propose the question]
After Proposing Ad:
	if CandidateParty is "dem":
		repeat with N running from 1 to the number of rows in the Table of DemAds:
			if Issue in row N of the Table of DemAds is ChosenIssue:
				if Strength in row N of the Table of DemAds is StrengthIndex:
					choose row N in the Table of DemAds;
					change AcceptProposal to true;
					say "[line break][Proposal entry]";	
	otherwise if CandidateParty is "rep":
		repeat with N running from 1 to the number of rows in the Table of RepAds:
			if Issue in row N of the Table of RepAds is ChosenIssue:
				if Strength in row N of the Table of RepAds is StrengthIndex:
					choose row N in the Table of RepAds;
					change AcceptProposal to true;
					say "[line break][Proposal entry]".	
					

SpeakStrengthing is an action applying to nothing. Understand "strength" as SpeakStrengthing.
After speakstrengthing:
	say "[StrengthIndex]".
	

[creating the actual ad by accepting user input]		
[Speaking out is an action applying to one topic. Understand "[text]" as speaking out.
After Speaking out:
	Say the topic understood.]
	
	

[Getting Input is an action applying to one topic. Understand "Try [text]" or "how about [text]" or "go with [text]" as Getting Input when AcceptProposal is true.
After Getting Input:
	let test be indexed text;
	let test be the topic understood;
	change AdInput to the topic understood;
	say "Great we[']ll get to work on the ad right away and bring you the final version soon";
	change AcceptProposal to false;
	try Splicing Ad.]
	
After reading a command when AcceptProposal is true:
	let test be indexed text;
	let test be "[the player's command]";
	change AdInput to test;
	say "[line break]Great we[']ll get to work on the ad right away and bring you the final version soon";
	change AcceptProposal to false;
	wait 2.0000 seconds before continuing;
	try Splicing Ad;
	reject the player's command.
	
	
[RegexInput is some indexed text that varies.
Testing regex is an action applying to one topic. Understand "regex [text]" as Testing regex.
After testing regex:
	change RegexInput to the topic understood;
	replace the regular expression "\<.*\>" in RegexInput with "test";
	say "[RegexInput]".]
	
TempEntry is some indexed text that varies.
Splicing Ad is an action applying to nothing. 
After Splicing Ad:
	if CandidateParty is "dem":
		repeat with N running from 1 to the number of rows in the Table of DemAds:
			if Issue in row N of the Table of DemAds is ChosenIssue:
				if Strength in row N of the Table of DemAds is StrengthIndex:
					choose row N in the Table of DemAds;
					change TempEntry to Text entry;
					replace the regular expression "\<.*\>" in TempEntry with AdInput;
					change Text entry to TempEntry;
					change TempEntry to Voice Over entry;
					replace the regular expression "\<.*\>" in TempEntry with AdInput;
					change Voice Over entry to TempEntry;
					change TempEntry to Images entry;
					replace the regular expression "\<.*\>" in TempEntry with AdInput;
					change Images entry to TempEntry;
					Try Adding Space;
					[say "[Text Entry][line break][Voice Over entry][line break][Images entry]".]
	otherwise if CandidateParty is "rep":
		repeat with N running from 1 to the number of rows in the Table of RepAds:
			if Issue in row N of the Table of RepAds is ChosenIssue:
				if Strength in row N of the Table of RepAds is StrengthIndex:
					choose row N in the Table of RepAds;
					change TempEntry to Text entry;
					replace the regular expression "\<.*\>" in TempEntry with AdInput;
					change Text entry to TempEntry;
					change TempEntry to Voice Over entry;
					replace the regular expression "\<.*\>" in TempEntry with AdInput;
					change Voice Over entry to TempEntry;
					change TempEntry to Images entry;
					replace the regular expression "\<.*\>" in TempEntry with AdInput;
					change Images entry to TempEntry;
					Try Adding Space;
					[say "[Text Entry][line break][Voice Over entry][line break][Images entry]".]


[Showing ad]
[
Showing seconds is an action applying to nothing. Understand "seconds" as showing seconds. 
After showing seconds:
	start time for 5 seconds;
	A glux timed activity: say "5 seconds".
]
	

Adding Space is an action applying to nothing.
Before Adding space:
	repeat with N running from 1 to 40:
		say "[line break]".
After Adding space:	
	try showing ad.
		
Showing ad is an action applying to nothing.
After showing ad:
	if CandidateParty is "dem":
		repeat with N running from 1 to the number of rows in the Table of DemAds:
			if Issue in row N of the Table of DemAds is ChosenIssue:
				if Strength in row N of the Table of DemAds is StrengthIndex:
					choose row N in the Table of DemAds;	
					wait 1.0000 seconds before continuing;
					say "The screen fades into a montage of [Images entry][line break][line break]";
					wait 5.0000 seconds before continuing;
					say "In the background you can hear [Music entry][line break][line break]";
					wait 5.0000 seconds before continuing;
					say "A voice, Morgan Freeman perhaps, begins to speak, saying ['][Voice Over entry]['][line break][line break]";
					wait 5.0000 seconds before continuing;
					say "And finally, in big block letters, ['][Text entry]['] appears on the screen";
	otherwise if CandidateParty is "rep":
		repeat with N running from 1 to the number of rows in the Table of RepAds:
			if Issue in row N of the Table of RepAds is ChosenIssue:
				if Strength in row N of the Table of RepAds is StrengthIndex:
					choose row N in the Table of RepAds;
					wait 1.0000 seconds before continuing;	
					say "The screen fades into a montage of [Images entry][line break][line break]";
					wait 5.0000 seconds before continuing;
					say "In the background you can hear [Music entry][line break][line break]";
					wait 5.0000 seconds before continuing;
					say "A voice, Morgan Freeman perhaps, begins to speak, saying ['][Voice Over entry]['][line break][line break]";
					wait 5.0000 seconds before continuing;
					say "And finally, in big block letters, ['][Text entry]['] appears on the screen";
					wait 5.0000 seconds before continuing;
	repeat with N running from 1 to 40:
		say "[line break]";
	[wait 2.0000 seconds before continuing;	]
	say "[line break]... A few weeks later ...";
	repeat with N running from 1 to 5:
		say "[line break]";
	wait 2.0000 seconds before continuing;
	say "The phone rings. You pick it up.[roman type]";
	move player to Your Home, without printing a room description.
				

				


Table of DemAds
Issue	Strength	Text (indexed text)	Voice Over (indexed text)	Images (indexed text)	Music	Proposal
"abortion"	1	"<short statement of hope for continued freedom>"	"Our nation was founded on the ideal of freedom. This freedom is an integral part of our great nation, we cannot risk degrading it further."	"the American Flag, paintings of founding fathers, constitution montage"	"Patriotic march (star spangled banner etc etc)"	"Alright, we have a pretty good baseline, but we need a an inspirational statement about continuing freedom. Any ideas?"
"abortion"	2	"We are still the land of the free."	"<List of freedom-like words> is an integral part of our great nation, it provides us with our strength, and to risk degradation of this vital ideal is to risk destruction of our nation."	"patriotic images but morph into a series of pictures of poverty/less developed nation"	"Patriotic music transitioning into a minor key"	"We are thinking about emphasizing the risk of losing freedom. We need a few [']freedom-like['] words. What do you think?"
"abortion"	3	"Is this what you want to see American become?"	"While it is difficult to think it appropriate to uphold Roe V Wade, consider the alternative."	" of images from oppressive regimes <images from stated regimes>"	"Soviet National Anthem"	"We're going all out with a comparison of opposition of Roe. V Wade to dictatorships. We need a visual montage of oppressive regimes, what are some images we could use?"
"marriage"	1	"<statement promoting acceptance of all love>"	"The Bible tells us that of faith, hope and love, love is the greatest force. Allow love to prosper, allow love to prosper to bind us all together in perfect unity"	"Slides of happy heterosexual and homosexual couples, no kissing of either"	"Clich√© romantic music (First Love)"	"We want to focus on love and universal acceptance. We found some Bible quotes that encourage these values. We just need a short, but impacting, statement promoting the acceptance of all kinds of love. Any ideas?"
"marriage"	2	"Vote yes for equality"	"Our country, while great, has had a history of making second class citizens, but what makes this nation great is that we listen to the lessons of history. Let's not make the same mistake again." 	"<images of famous civil rights events>"	"Reflective, light background music (100 years five for fighting)"	"We[']re thinking of going with the civil rights angle, comparing it to the movement in the 1960s. We need a visual montage of some famous scenes though, what images do you want us to use?"
"marriage"	3	"Don't believe everything you read"	"Leviticus may condemn homosexuality, but it also condemns: <List of things the bible condemns> How credible does the bible sound now?"	"Slides of witch burnings and paintings of people burning in hell"	"Background of a fire and brimstone preacher"	"We want to make splash. We were thinking of focusing on the ludicrousness of the things the bible bans. What are some things that it bans again?"
"taxes"	1	"Help make America greater"	"America has always been a great nation, since its creation, but we can always make it greater. We can feed the hungry, heal the sick, and house the homeless, but we need your help. Help make America greater and support public initiatives such as <list of public initiative>."	"Images of happy service workers (hospital workers, sanitation workers, food kitchen workers)"	"Upbeat, Inspirational music"	"We want to focus on some successful public initiatives that have been sponsored by taxes. What are some of the ones you want to highlight?"
"taxes"	2	"<statement about making everyone do their part>"	"Recent data has shown that 70% of the nation's wealth is owned by 5% of the population. Don't you think they can afford to help out?"	"Images of wealthy man's toys (ferraris, jets, boats etc)"	"pompous, upper-class style"	"So we were thinking of focusing on the mal-distribution of wealth and attacking the greedy upper class. We want the overall idea to be [']everyone do their part.['] We need a catchy line along these lines, any suggestions?"
"taxes"	3	"You pay your taxes, so should they"	"Republicans claim they want to cut taxes for all, but why do they care? <list of names> haven't paid taxes for years." 	"Images of <list of names> in congress"	"Dark, angry music"	"Remember that scandal a few weeks ago about those Republican senators not paying their taxes? We think that would be a great thing to use, but I can[']t remember their names[unicode 33] What were they again?"
"healthcare"	1	"We all deserve the right to proper healthcare"	"This country has always been a leader in the medical field, <list of things America excels at>, America represents a great medical potential. All citizens, rich or poor, white or black, old and young, deserve the chance to access this great work. Help make healthcare affordable for all."	"images showing the history of American medicine and modern medical treatments"	"Slow, reflective, happy music"	"We want to focus on all the great medical success that the US has contributed to the medical field. What are some of the ones you want to highlight?"
"healthcare"	2	"<statement about making America the best again>"	"America spends more per capita on healthcare than any other western nation, yet still maintains one of the lowest life expectancy, highest obesity rate, and worse access to medical care. Something is wrong; don't protect the status quo and help reform healthcare."	"Images of overcrowded ERs, and busy waiting rooms"	"Sad, dramatic music"	"So we discovered that America spends more per capital than any other western nation, but still are some of the least healthy by a few metrics. We want to inspire the viewers that we can make it better, but we need a short statement to do it. What should it be?" 
"healthcare"	3	"<statement about standing up to insurance companies>"	"Health Insurance has become one of the most profitable business in America. Tell congress that we're sick of corporations using sick citizens for profits."	"of CEOs in lavish settings and sick individuals waiting outside hospitals"	"Pretentious classical"	"We want to nail the insurance companies for the corrupt, greedy bastards they are. The viewer should be inspired to fight these guys by the time they are done with this ad, and Jenkins is the way to do it. We need something snappy and motivating, a short statement to get the viewer off his feet. Any ideas?"


Table of RepAds
Issue	Strength	Text (indexed text)	Voice Over (indexed text)	Images (indexed text)	Music	Proposal
"abortion"	1	"Morality should withstand above all."	"Our goal is to reduce the number of unmarried mothers and teenage pregnancy, not to kill the next generation of American children."	"<images of morality (specifically, ones that evoke killing is wrong)>"	"Slow, inspirational classical music"	"We want to send a message about morality. Killing is wrong, and that should be the most important thing. What images do you think would be good symbols of morality?"
"abortion"	2	"<catchy slogan which says that abortion is a war against children>"	"If we accept that the mother can kill her own child, how can we tell other people not to kill one another. What is happening in America right now is the war against our children."	"Mother Teresa"	"Light, string music"	"We want to remind people about the children that abortion kills. I mean, if you think about it, abortion really is a [italic type]war against children[roman type]. We need a catchy slogan along those lines, any ideas?"
"abortion"	3	"January 22, 1973"	"The Roe v. Wade was a signed approval to the killing of 49,551,703 lives. The 36 year history of child-murdering stops. <angry message to us citizens (something like STOP MURDERING BABIES!)>"	"Vivid images abortion, a machine killing a fetus"	"Loud, rock music"	"Yeah! Let's kick some liberal ass! We want to remind people how many babies have been murdered because of Roe v. Wade! Let's speak directly to the user, with a line like, Let[']s say something like this: [']We must stop the murdering of innocent babies!['], but even more angry! Can you think of anything?"
"marriage"	1	"It is not hate"	"It is not hate. It is not discrimination. It is a suggestion to what is right and what is wrong."	"<something emphasizing that repubs do not hate gay people>"	"Wind sound effects and subtle electronic pads"	"We want people to know that even though we are against gay marriage, we do not hate gay people. I remember a while back, we tested the phrase [']It is not hate.['] in opinion polls, and it proved very effective. What images should we display when that text is overlayed?"
"marriage"	2	"To be honest with you..."	"Saying no to gays and lesbians is not the smartest strategy for a politician, but to elude the controversy is even worse. We say no to gay marriage because we think it is wrong."	"<images which express how gay marriage is wrong (red circle with line through it of two gay men kissing)>"	"Angry, fast-paced, classical music"	"We want people to know that even though we are against gay marriage, we do not hate gay people. We just think gay marriage is wrong. What images would express that well?"
"marriage"	3	"God made Adam and Eve, not Adam and <name>!"	"In God we unify as one nation. We listen to the words of the bible when we are looking for a moral answer. We cannot accept a couple that cannot reproduce"	"The picture of founding fathers and a bible. A parent (heterosexual) and a baby"	"Light, organ music"	"We[']re close to coming up with a catchy slogan. But we need a first name for a man which rhymes with [']Eve[']. Can you think of a name?"
"taxes"	1	"John says: [']<thing sandy would say about cutting taxes>[']"	"John will cut taxes. You can count on that."	"Images of blue collar workers holding their hands up high in the air holding wads of cash"	"Loud, rock music"	"Hey, so you hate taxes right? Who doesn[']t? Let[']s come up with a message from Sandy saying how much she hate taxes, and how John would cut them if he were elected."
"taxes"	2	"Poor people should have to pay taxes just like the rest of us. Small businesses will suffer if we don[']t lower taxes for everyone."	"People work hard for their money. Let them keep it."	"<image of piggy bank or something>"	"Reflective, light background music"	"We want people to know we value their hard work, and we[']re not going to take their money away and give it to poor people, like welfare. Choose a symbol, like a piggy bank or something, that could represent letting people keep their money."
"taxes"	3	"<something like High taxes are for communists>"	"Poor people shouldn[']t get my our hard-earned cash, right? Let[']s get rid of big government."	"Image of John Smith holding an American flag."	"A patriotic march"	"Poor people shouldn[']t get my our hard-earned cash, right? Let[']s get rid of big government. Let[']s think of an catch phrase embodying that. Something like, [']high taxes are for communists!['], maybe."
"healthcare"	1	"<succinct text about how government is inefficient>"	"Governments are inefficient, and business are not. Just look at how the DMV is run...."	"Images of slow dingy government offices contrasted with state-of-the-art, modern, business offices."	"Inspirational music plays when the business offices are in view"	"Everyone knows the government is inefficient. We should let businesses compete in the healthcare industry, because competition forces companies to be more efficient. Can you come up with some text saying that succinctly?"
"healthcare"	2	"If the government ran healthcare, you[']d have to wait 10 times longer to get a blood test."	"<catchy slogan>"	"Images of people waiting on long lines in hospitals"	"Loud, rock music"	"We have some stats which show how healthcare quality would decrease if the government ran it. We want to put up a catchy phrase next to those stats. Can you think of one?"
"healthcare"	3	"If the government controls healthcare, they can choose to kill your grandmother."	"John Smith is against Death Panels!"	"<images saying euthanasia is wrong>"	"Dark, angry music"	"Those crazy dems don[']t think euthanasia is wrong? Well we know better. What are some images we could show people to let them know how we feel about euthanasia?"


Part 3 - The Meeting With Steve - Not for release



Chapter 2 - Television Interview

Part 1 - Your Home

Your Home is a room. The description of Your Home is "[line break]... A few weeks later ...[line break][line break]The phone rings. You pick it up.[roman type]". 

HasSelectedShow is a truth state that varies. HasSelectedShow is usually false.
ShowName is a text variable.

Showing Issue is an action applying to nothing. Understand "issue" as showing issue.
After Showing Issue:
	say "Issue is [ChosenIssue]".

Answering The Phone is an action applying to nothing. Understand "hi" or "hey" or "hello" or "who is it" or "whats up" as Answering The Phone when player is in Your Home.
After Answering The Phone:
	if HasSelectedShow is false:
		say "[line break]Hey [CandidateFirstName], it's Larry, from the office. Our recent advertisements are causing quite a media stir. We'd like to schedule an interview for you with either Bill O'Reilly or Jon Stewart. Who would you like to interview with?".


Selecting bor is an action applying to nothing. Understand "bill" or "o'reilly" or "oreilly" or "bill o'reillly" or "yes" or "yea" as selecting bor when player is in Your Home.
After selecting bor:
	if HasSelectedShow is false:
		if CandidateParty is "dem":
			say "[line break]Ok [CandidateFirstName], I'll alert O[apostrophe]Reilly[apostrophe]s staff";
		otherwise:
			say "[line break]Ok [CandidateFirstName], I'll alert Bill[']s staff";
		change ShowName to "Bill O'Reilly";
		change HasSelectedShow to true;
		say "[line break][italic type]You tell Larry thanks. A few days later, you go to your interview on The Factor, with Bill O[apostrophe]reilly.[roman type][line break][line break]";
		wait 2.0000 seconds before continuing;
		 say "[line break]Hey [CandidateFirstName], it's great to have you back on the show. So this there's been a lot of talk about this new television commercial your campaign has been running. It really is about [ChosenSubject] issues, and it makes some interesting points. We[']ll read you some polls we took, but before that, let[']s take a look at the ad. Let[apostrophe]s take a look.[line break]...[line break]";
		wait 3.500 seconds before continuing;
		say "[line break]First, let me just give you my reaction";
		try Bill Reacting;
		change InInterview to true;
		move player to The Factor, without printing a room description.

Selecting js is an action applying to nothing. Understand "jon" or "stewart" or "jon stewart" as selecting js when player is in Your Home.
After selecting js:
	if HasSelectedShow is false:
		if CandidateParty is "dem":
			say "[line break]Ok [CandidateFirstName], I'll alert Jon[apostrophe]s staff.";
		otherwise:
			say "[line break]Ok [CandidateFirstName], I'll alert Stewart[apostrophe]s staff.";
		change ShowName to "Jon Stewart";
		change HasSelectedShow to true;
		say "[line break][italic type]You tell Larry thanks. A few days later, you go to your interview on The Daily Show, with Jon Stewart.[roman type][line break]";
		wait 2.0000 seconds before continuing;
		 say "[line break]Hey [CandidateFirstName], it's great to have you back on the show. So this there's been a lot of talk about this new television commercial your campaign has been running. It really is about [ChosenSubject] issues, and it makes some interesting points. We[']ll read you some polls we took, but before that, let[']s take a look at the ad. Let[apostrophe]s take a look.[line break]...[line break]";
		wait 3.500 seconds before continuing;
		say "First, let me just give you my reaction";
		try Jon Reacting;
		change InInterview to true;
		move player to The Daily Show, without printing a room description.
		
Part 2 - The interview

[Declare variables]
AgreeWithInterviewerReaction is a truth state that varies. AgreeWithInterviewerReaction is usually false.
PresentedReaction is a truth state that varies. PresentedReaction is usually false.
UserRespondedReaction is a truth state that varies. UserRespondedReaction is usually false.
PresentedPoll is a truth state that varies. PresentedPoll is usually false.
UserRespondedPoll is a truth state that varies. UserRespondedPoll is usually false.
StillLikedAdAfterHearingPoll is a truth state that varies. StillLikedAdAfterHearingPoll is usually false.
InInterview is a truth state that varies. InInterview is usually false.
PollPositive is a number variable.

[The factor]
The Factor is a room. 

Bill Reacting is an action applying to nothing.
After Bill Reacting:
	if CandidateParty is "dem":
		repeat with N running from 1 to the number of rows in the Table of Reactions:
			if Interviewer in row N of the Table of Reactions is "Bill":
				if Party in row N of the Table of Reactions is "Dem":
					if AdStrength in row N of the Table of Reactions is StrengthIndex:
						choose row N in the Table of Reactions;
						change PresentedReaction to true;
						say "[Response entry][line break]";
						say "Don[']t you agree?";
	otherwise if CandidateParty is "rep":
		repeat with N running from 1 to the number of rows in the Table of Reactions:
			if Interviewer in row N of the Table of Reactions is "Bill":
				if Party in row N of the Table of Reactions is "Rep":
					if AdStrength in row N of the Table of Reactions is StrengthIndex:
						choose row N in the Table of Reactions;
						change PresentedReaction to true;
						say "[Response entry][line break]";
						say "Don[']t you agree?".
						

[The daily show]
The Daily Show is a room.

Jon Reacting is an action applying to nothing.
After Jon Reacting:
	if CandidateParty is "dem":
		repeat with N running from 1 to the number of rows in the Table of Reactions:
			if Interviewer in row N of the Table of Reactions is "Jon":
				if Party in row N of the Table of Reactions is "Dem":
					if AdStrength in row N of the Table of Reactions is StrengthIndex:
						choose row N in the Table of Reactions;
						change PresentedReaction to true;
						say "[Response entry][line break]";
						say "Don[']t you agree?";
	otherwise if CandidateParty is "rep":
		repeat with N running from 1 to the number of rows in the Table of Reactions:
			if Interviewer in row N of the Table of Reactions is "Jon":
				if Party in row N of the Table of Reactions is "Rep":
					if AdStrength in row N of the Table of Reactions is StrengthIndex:
						choose row N in the Table of Reactions;
						change PresentedReaction to true;
						say "[Response entry][line break]";
						say "Don[']t you agree?".
						
[Reactions]

Showing truth is an action applying to nothing. Understand "truth" as showing truth.
After showing truth:
	say "PresentedReaction is [PresentedReaction][line break]";
	say "UserRespondedReaction is [UserRespondedReaction][line break]";
	say "PresentedPoll is [PresentedPoll] [line break]";
	say "StillLikedAdAfterHearingPoll to [StillLikedAdAfterHearingPoll][line break]";
	say "UserRespondedPoll is [UserRespondedPoll][line break]".
			

Agreeing Reaction is an action applying to nothing. Understand "yes" or "yea" or "absolutely" as Agreeing Reaction when InInterview is true and PresentedReaction is true and UserRespondedReaction is false.
Before Agreeing Reaction:
	change AgreeWithInterviewerReaction to true.
	
Disagreeing Reaction is an action applying to nothing. Understand "no" or "nope" or "absolutely not" as Disagreeing Reaction when InInterview is true and PresentedReaction is true and UserRespondedReaction is false.
Before Disagreeing Reaction:
	change AgreeWithInterviewerReaction to false.

After Agreeing Reaction or Disagreeing Reaction:
	change UserRespondedReaction to true;
	try presenting polls.
	
Presenting Polls is an action applying to nothing.
After Presenting Polls:
	let RandomInteger be a random number from 30 to 70;
	change PresentedPoll to true;
	change PollPositive to RandomInteger;
	say "[line break]So I mentioned we took some polls. Well [RandomInteger] percent of people reacted positively to it, and [100 - RandomInteger] percent of people reacted negatively to it. Knowing this, do you think it was successful?".
	

Agreeing Poll is an action applying to nothing. Understand "yes" or "yea" or "absolutely" as Agreeing Poll when InInterview is true and PresentedPoll is true and UserRespondedPoll is false.
Before Agreeing Poll:
	change StillLikedAdAfterHearingPoll to true.
	
	
Disagreeing Poll is an action applying to nothing. Understand "no" or "nope" or "absolutely not" as Disagreeing Poll when InInterview is true and PresentedPoll is true and UserRespondedPoll is false.
Before Disagreeing Poll:
	change StillLikedAdAfterHearingPoll to false.
		
After Agreeing Poll or Disagreeing Poll:
	change UserRespondedPoll to true;
	try wrapping up.
	
Wrapping up is an action applying to nothing.
Before Wrapping Up:
	say " [line break]Well, thanks for taking the time to come on our show, [CandidateFirstName]. It[']s always good to have you on [line break][line break]";
	wait 1.0000 seconds before continuing;
	say "[italic type]You exit the stage, duck out the side door, and jump into your limo before the paparazzi see you. The next day you stop by the ad agency and talk to the head designer, Steve [roman type][line break][line break]";
	wait 3.0000 seconds before continuing;
	if StillLikedAdAfterHearingPoll is true:
		say "Hey [CandidateFirstName], I[']m glad you stuck to your guns about the ad[unicode 33][line break]";
	otherwise:
		say "Hey [CandidateFirstName], sorry that the ad didn[']t quite turn out the way you wanted[line break]";
	if AgreeWithInterviewerReaction is true:
		say "We got the ratings back from your interview. People liked that you were agreeable so much so that it boosted you 10 points in the polls[unicode 33] We[']ll gotta run. Cya[line break]";
		[give them a 10 point boost in the polls since they were agreeable in the interviewer]
		change PollPositive to PollPositive plus 10;
	otherwise:
		say "We got the ratings back from your interview. People didn[']t like that you weren[']t so agreeable on the show, and you[']ve gone down 10 points in the polls. Sorry to hear that, but you[']ll get them[unicode 33] We[']ll, gotta run. Cya[line break]";
		[give them a 10 point reduction in the polls since they were not agreeable in the interviewer]
		change PollPositive to PollPositive minus 10.

After Wrapping up:
	wait 5.0000 seconds before continuing;
	repeat with N running from 1 to 40:
		say "[line break]";
	say "...3 months later...";
	wait 2.0000 seconds before continuing;
	repeat with N running from 1 to 40:
		say "[line break]";
	try Presenting Election.
	
Presenting Election is an action applying to nothing.
After Presenting Election:
	say "[italic type] It[']s election night and you are at your campaign[']s headquarters, when suddenly the news caster says...[roman type][line break][line break]";
	wait 2.5000 seconds	before continuing;
	say "This just in, the final count has come in and the winner is...[line break][line break]";
	wait 2.5000 seconds before continuing;
	if PollPositive > 50:
		say "[bold type] [CandidateName][unicode 33][unicode 33]Congratulations to President Elect [CandidateLastName][unicode 33]";
	otherwise:	
		say "[bold type] [OppositionName][unicode 33][unicode 33]Congratulations to President Elect [OppositionLastName][unicode 33]";
			


						

		

Table of Reactions
Interviewer	Party	AdStrength	Response 
"Bill"	"Dem"	1	"It[']s an interesting ad. As far as [ChosenIssue] is concerned, I don[']t fully disagree with it. I just don[']t see this getting people to vote for Democrats."
"Bill"	"Dem"	2	"This ad makes some sense, but overall it[']s just crap. It shows you don[']t really grasp [ChosenSubject] politics."
"Bill"	"Dem"	3	"You know, it[']s amazing how Democrats just don[']t understand the [ChosenSubject] aspects of the country. This ad shows how far the Democratic party has gone off the deep end."
"Bill"	"Rep"	1	"It[']s an intersting ad. As far as [ChosenIssue] is concerned, I completely agree with it. I just don[']t see this getting people to vote for Democrats."
"Bill"	"Rep"	2	"This ad makes a lot of sense, and is really smart. Good job! It shows you really grasp [ChosenSubject] politics."
"Bill"	"Rep"	3	"You know, it[']s amazing how Democrats just don[']t understand the [ChosenSubject] aspects of the country as well as Republicans do. This ad shows how far the Republicans know the right direction for the country."
"Jon"	"Dem"	1	"While the ad focused on [ChosenIssue], I really don[']t think your message was strong enough. The democratic party has been too weak for too long!"
"Jon"	"Dem"	2	"I think you did a pretty good job of conveying how Democrats feel about [ChosenIssue]. I just hope people [italic type]get it[roman type]."
"Jon"	"Dem"	3	"Now that[']s the first Democratic ad I[']ve seen in a while with a little punch! Well done, sir."
"Jon"	"Rep"	1	"You know, I think your ad made some valid points about the [ChosenIssue] issue. I just wish people could cross the aisle a bit more."
"Jon"	"Rep"	2	"I think you did a pretty good job of conveying how Democrats feel about [ChosenIssue]. I just hope people [italic type]get it[roman type]."
"Jon"	"Rep"	3	"That ad is just sensationalist crap! It[']s not factually accurate, and it doesn[']t address the real issues about [ChosenIssue] which this country needs to fix."

