"CubanMissileCrisis" by Scott Bezek, Sarah Krell, Yuxin Xie

[NOTE: MUST INSTALL FOOTNOTES EXTENSION FOR THIS TO COMPILE]
[http://www.inform-fiction.org/I7Downloads/Extensions/Stephen%20Granade/Footnotes]
Include Footnotes by Stephen Granade. Footnotes are on. Footnotes are given repeatedly.

nothingness is a room. [This is where we will put items that are no longer needed]

[Let's make things easier on us by defining some synonyms]
To say i: say italic type.
To say b: say bold type.
To say r: say roman type.
To say br: say line break.
To say p: say paragraph break.



The player is in the Oval Office.
The Oval Office is a room.  "A calendar hangs on the wall.  A door to the east leads to the conference room.  Another door to the south leads to the rest of the white house".
understand "office" as oval office.

The rest of the white house is a room.  printed name is "The rest of the White House".

the conference_room_door is scenery.  it is east of the office and west of the conference room. the conference_room_door is a door. ["A plain looking door to the [if player is in office]east[otherwise]west[end if] leads to the [if player is in office]conference room[otherwise]Oval Office[end if]". ] The description of the conference_room_door is "A large, plain looking door.  A metal plate reads 'Conference Room'.".  the conference_room_door is locked. the printed name is "conference room door". understand "east door" or "conference room door" as conference_room_door.

Before going through a closed unlocked door (called the blocking door):
say "(first opening [the blocking door])[line break]";
    silently try opening the blocking door;
    if the blocking door is closed, stop the action.


the calendar is scenery in the office.  The description is "October 16, 1962:  ExComm meeting today.".

a thing can be usable. things are usually not usable.
the intercom is a device. the description is "An intercom sits on the desk.  [if usable]A light on it blinks, suggesting an incoming call.[end if]".  the intercom is on the desk.  the intercom is fixed in place. The intercom is not usable.
Instead of switching on the intercom when not usable, say "You switch on the intercom.  Hearing nothing you turn it back off.".


the television is a device in the office. the television is fixed in place.  the description is "A small television set.  [if television is switched off]The screen is blank.[end if]".  The television is switched off. understand "TV" or "tube" or "screen" as television.

instead of switching on the television when october 22nd is not happening, say "This is no time to be watching television.  Maybe if you have some free time later...".

the oak door is scenery. the printed name is "large oak door (leading to the rest of the White House)". it is south of the office and north of the rest of the white house. the oak door is a door. "An oak door leads to the rest of the White House.". understand "south door" as oak door. the oak door is locked.

Instead of opening the oak door for the first turn, say "There is work to be done.  You wouldn't accomplish anything if you wandered about the white house - you should stay in your office and work.".
instead of opening the oak door for the second turn, say "You [i]REALLY[r] should stay in your office and accomplish some things.".
Instead of opening the oak door:
    say "You leave the office and begin roaming about the White House.  Meanwhile, missiles are placed in Cuba without your knowledge, and subsequently launched at the US.  Unfortunately there is not much time before they begin hitting their targets.";  [Needed some excuse to prevent the player from leaving the room]
    end the game in death.
    
the desk is in the office. the desk is a supporter. The description of the desk is "There is [a list of things on the desk] on the desk.".

starting war is an action applying to nothing.
understand "attack cuba" or "bomb cuba" or "destroy missiles" or "invade cuba" or  "attack ussr" or "attack kruschev" or "bomb ussr" or "kill kruschev" as starting war.
   
instead of starting war, say "That's certainly a possibility, but it would probably lead to a nuclear war.  Perhaps you should research a bit more before making such a monumental decision.".

instead of starting war for the second turn:
    say "That was a really bad idea.  You have started a nuclear war.";
    end the game in death.

some photographs of missiles are things on the desk. printed name is "black and white photographs".  The description of the photographs is "Photographs dated October 14, 1962.  Black and white aerial photographs.  You can see trees in the photos.  Perhaps the memo will offer some more explanation.". understand "photos" or "pictures" or "photo" or "picture" as photographs.

the first memo is a thing on the desk.  printed name is "sheet of paper". The description of the first memo is "You read the memo. 'URGENT: These photographs show evidence that there are Soviet Missiles in Cuba. These missiles could potentially threaten the United States. A meeting is scheduled for this morning to discuss our different options.' Setting the memo back down, you realize that this is a real crisis you have on your hands. You're not sure what you're going to do.".  understand "paper" or "sheet of paper" or "sheet" or "note" as first memo.

after examining first memo:
    now the description of the photographs is "These are pictures proving that there are missiles in Cuba. One shows a convoy of trucks approaching some missiles. Another shows another set of missiles. One photograph is of a soviet missile, showing how the ones in Cuba are similar. The last photo shows some bomber crates at an airfield in Cuba. [note aerial-photographs]".
   
instead of opening a locked door:
    say "The [printed name] seems to be locked right now".
   
preExComm is a scene.  preExComm begins when we have examined the memo and we have examined the photographs.  preExComm ends when player is in conference room.

ExComm is a scene.  ExComm begins when preExComm ends. ExComm ends when the excomm meeting counter is greater than the number of rows in the table of excomm speech.

When preExComm begins:
    move McGeorge to conference room;
    move Dillon to conference room;
    move Lyndon Johnson to conference room;
    move General Maxwell Taylor to conference room;
    move Robert McNamara to conference room;
    move Dean Rusk to conference room;
    now the description of the calendar is "October 16th, 1962.  ExComm meeting today.[p][i]Hmmmm... the meeting should be starting soon.[r]";
    now the conference_room_door is unlocked.
   
When ExComm begins:
    say "You enter the conference room and join the ExComm meeting.  Secretary of State Rusk is already speaking. ";
    now the conference_room_door is closed;
    now the conference_room_door is locked.
   
Instead of opening conference_room_door during ExComm, say "It would be rude to leave in the middle of the meeting.".
   
excomm meeting counter is a number that varies.  excomm meeting counter is usually 1.

Table of excomm speech
sentence
"Rusk: I do think we have to set in motion a chain of events that will eliminate this base. I don't think we can sit still. The questioning becomes whether we do it by sudden, unannounced strike of some sort, or we, uh, build up the crisis to the point where the other side has to consider very seriously about giving in, or, or even the Cubans themselves, uh, take some, take some action on this. [line break]~[line break]
Mr. McCone expresses the view that Khrushchev may feel that it's important for us to learn about living under medium-range missiles, and he's doing that to sort of balance that, uh, that political, psychological plank. [paragraph break]
McNamara: I would suggest that we ought to accept as, uh, foundations for our further thinking. My first is that if we are to conduct an air strike against these installations, or against any part of Cuba, we must agree now that we will schedule that prior to the time these missile sites become operational. [p]The meeting continues..."
"McNamara: Uh, secondly, I, I would submit the proposition that any air strike must be directed not solely against the missile sites, but against the missile sites plus the airfields plus the aircraft which may not be on the airfields but hidden by that time plus all potential nuclear storage sites. Now, this is a fairly extensive air strike.It is not just a strike against the missile sites; and there would be associated with it potential casualties of Cubans at least in the hundreds, more likely in the low thousands.[paragraph break]
Taylor: Uh, we're impressed, Mr. President, with the great importance of getting a, a strike with all the benefit of surprise, uh, which would mean ideally that we would have all the missiles that are in Cuba above ground where we can take them out. Uh, that, that desire runs counter to the strong point the Secretary made if the other optimum would be to get every missile before it could, becomes operational. What we'd like to do is to look at this new photography, I think -- and take any additional -- and try to get the, the layout of the targets in as near an optimum,uh, position as possible, and then take 'em out without any warning whatsoever. [p]The meeting continues..."
"Taylor: So, really, the, in point of time, I'm, I'm thinking in terms of three phases. [paragraph break]
One, a, an initial pause of some sort while we get completely ready and get, get the right postureon the part of the target, so we can do the best job. Then, virtually concurrently, an air strike against, as the Secretary said, missiles, airfields, uh, unclear sites that we know of. At the same time, naval blockade. At the same time, reinforce Guantanamo and evacuate the dependents. I'd then start this continuous reconnaissance, the list that you had, continue over Cuba."

instead of asking someone (called subject) about "phases" during ExComm:
    say "[subject]: [if subject is Taylor]As I mentioned[otherwise]As General Taylor mentioned[end if], there are three phases: first get ready, then an air strike, naval blockade, reinforcement of Guantanamo, and finally continued reconnaissance over Cuba."

Instead of listening when the excomm meeting counter is less than the number of rows in the table of excomm speech plus one during ExComm:
    choose row excomm meeting counter from table of excomm speech;
    say "[sentence entry]";
    increase excomm meeting counter by 1.
   
instead of listening during ExComm: say "The conference room is silent besides the occasional creak of a chair. ".
instead of listening during preExComm: say "You hear a faint murmur coming from the conference room.".

after looking during ExComm, say "Although there's plenty to look at in this room, perhaps you should just listen to the meeting rather than looking around.".


McGeorge Bundy is a person. he is in nothingness. understand "McGeorge" or "Bundy" as McGeorge Bundy.
C Douglas Dillon is a person.  he is in nothingness. understand "Douglas" or "Dillon" as C Douglas Dillon.
Lyndon Johnson is a person. he is in nothingness. understand "Lyndon" or "Johnson" or "LBJ" as Lyndon Johnson.
General Maxwell Taylor is a person. he is in nothingness. understand "General" or "General Maxwell" or "Maxwell" or "Taylor" as General Maxwell Taylor.
Robert McNamara is a person. he is in nothingness. understand "Robert" or "McNamara" as Robert McNamara.
Dean Rusk is a person. he is in nothingness. understand "Dean" or "Rusk" as Dean Rusk.

Conference Room is a room.  "A lavishly furnished conference room.  There is a long table and many chairs around the table.  The Oval Office is to the west.".
the long table is scenery in the office.  the long table is a supporter. the description of the long table is "A long conference room table - nothing special about it".


after asking someone (called subject) about "blockade":
    if ExComm is happening, say "Robert McNamara: It's not likely, but it's conceivable the nuclear warheads for these launchers are not yet on Cuban soil.
McGeorge Bundy: Now that seems to me that's ... It's perfectly possible that this, that they are in that sense a bluff. That doesn't make them any less offensive to us. ...
Robert McNamara: No.
McGeorge Bundy: ... because we can't have proof about it.
Robert McNamara: No, but it does possibly indicate a different course of action ...
Robert McNamara: ... and therefore, while I'm not suggesting how we should handle this, I think this is one of the most important actions we should take: to ascertain the location of the nuclear warheads for these missiles. ".
   
when excomm ends:
    now the conference_room_door is unlocked;
    now the conference_room_door is open.

The envelope is a closed openable container. The description of the envelope is "An envelope[if envelope is on the desk] sits on the desk[end if].  It is addressed to you, President Kennedy. It appears to be from Kruschev, the leader of Russia. [if we have not opened the envelope]It is sealed shut.[end if]". The envelope is in nothingness.

After printing the name of the envelope while looking: omit contents in listing.

The letter from kruschev is a thing.  "A letter.".  The description of the letter is "It appears to be a response to your tv broadcast from earlier.[p]
  [i]October 22, 1962

Mr. President,

  ...I must say frankly that measures indicated in your statement constitute a serious threat to peace and to the security of nations. The United States has openly taken the path of grossly violating the United Nations Charter, path of violating international norms of freedom of navigation on the high seas, the path of aggressive actions both against Cuba and against the Soviet Union.

The statement by the Government of the United States of America can only be regarded as undisguised interference in the internal of the Republic of Cuba, the Soviet Union, and other states. The United Nations Charter and international norms give no right to any state to institute in international waters the inspection of vessels bound for the shores of the Republic of Cuba...

...We affirm that the armaments which are in Cuba, regardless of the classification to which they may belong, are intended solely for defensive purposes, in order to secure the Republic of Cuba against the attack of an aggressor.

I hope that the United States Government will display wisdom and renounce the actions pursued by you, which may lead to catastrophic consequences for world peace...

N. Kruschev.[r] [note kruschev-1]".   The printed name is "letter".  understand "letter" as letter from kruschev. the letter from kruschev is in the envelope.

after going to oval office during october 22nd:
    say "You notice a new envelope on your desk";
    now the conference_room_door is closed;
    now the conference_room_door is locked.

october 22nd is a scene.  october 22nd begins when ExComm ends. october 22nd ends when setting defcon level.
when october 22nd begins:
    now envelope is on desk;
    if the photographs of missiles are not carried, move the photographs of missiles to nothingness;
    if the first memo is not carried, move the first memo to nothingness;
    now the description of the calendar is "October 22nd, 1962.  Televised speech today.".
   
after switching on television for the first time, say "The speech you gave earlier to the American public is on the news.".

television tally is a number that varies.  television tally is usually 1.

Table of television text
sentence
"You watch the speech you gave earlier.

[i]Good Evening, My Fellow Citizens:

This government, as promised, has maintained the closest surveillance of the Soviet military buildup on the island of Cuba. Within the past week, unmistakable evidence has established the fact that a series of offensive missile sites is now in preparation on that imprisoned island. The purpose of these bases can be none other than to provide a nuclear strike capability against the Western Hemisphere...

Each of these missiles ... is capable of striking Washington, D.C., the Panama Canal, Cape Canaveral, Mexico City, or any other city in the southeastern part of the United States, in Central America or in the Caribbean area.[r]

The missiles in Cuba are a real threat to the United States. You have to defend the American people, but at the same time you don't want to start a war...

Your speech continues, if you want to watch more of it."
"You continue watching your speech.

[i]... I have directed that the following initial steps be taken immediately:

First: To halt this offensive buildup, a strict quarantine on all offensive military equipment under shipment to Cuba is being initiated. All ships of any kind bound for Cuba from whatever nation and port will, if found to contain cargoes of offensive weapons, be turned back. This quarantine will be extended, if needed, to other types of cargo and carriers. We are not at this time, however, denying the necessities of life as the Soviets attempted to do in their Berlin blockade of 1948.

Second: I have directed the continued and increased close surveillance of Cuba and its military buildup. The foreign ministers of the OAS, in their communique of October 6, rejected secrecy on such matters in this hemisphere. Should these offensive military preparations continue, thus increasing the threat to the hemisphere, further action will be justified. I have directed the Armed Forces to prepare for any eventualities; and I trust that in the interest of both the Cuban people and the Soviet technicians at the sites, the hazards to all concerned of continuing the threat will be recognized...

Third: It shall be the policy of this nation to regard any nuclear missile launched from Cuba against any nation in the Western Hemisphere as an attack on the United States, requiring a full retaliatory response upon the Soviet Union...[r] [note kennedy-speech]

The speech is not over, but you have seen the important points.  You stop watching."
"The speech you gave earlier has finished airing. You have more important things to think about now than watching TV.".

instead of examining the television when the television tally is less than the number of rows in the table of television text plus one and the television is switched on during october 22nd:
    choose row television tally from table of television text;
    say "[sentence entry]";
    increase television tally by 1.
   
instead of examining the television while the television is switched on[ and (the intercom-scene is happening or october 22nd is happening)]:
        say "An informational film appears to be playing:[p][i][one of]There was a turtle by the name of Bert and Bert the turtle was very alert.
    When danger threatened him he never got hurt. He knew just what to do. *boom*
     He ducked and covered. Ducked and covered. He did we all must learn to do: (you and you and you and you) Duck... and cover![or]Be sure and remember what Bert the turtle just did friends, because every one of us must remember to do the same thing. Thats what this film is all about, Duck and cover.[paragraph break]
            This is an official civil defense film produced in co-operation with the federal civil defense administration and in consultation with the safety commission of the national education association. [or]
We all know the atomic bomb is very dangerous. Since it may be used against us we must get ready for it just as we are ready for many other dangers that are around us all the time.[paragraph break]
Fire is a danger, it can burn whole buildings if someone is careless. But we are ready for fires. We have a fire department to put out the fire. And you have fire drills in your school so you know what to do.[paragraph break]
Now we must be ready for a new danger, the atomic bomb.[or]
First you have to know what happens when an atomic bomb explodes.
Youll know when it comes. We hope it never comes, but we must get ready. It looks something like this.
There is a bright flash, brighter than the sun, brighter than anything you have ever seen.
[or]
If you are not ready and did not know what to do, it could hurt you in different ways. It could knock you down hard or throw you against a tree or a wall. It is such a big explosion it can smash in buildings and knock signboards over and break windows all over town, but if you duck and cover, like Burt, you will be much safer.[or]
You may be in your schoolyard playing when the signal comes. *siren blaring*
That signal means to stop whatever you are doing and get to the nearest safe place fast. Always remember the flash of an atomic bomb can come at any time, no matter where you may be.[cycling][r]  [p]You should probably do something rather than sitting here watching [i]Duck and Cover[r]. [note duck-and-cover]".

intercom-scene is a scene.  intercom-scene begins when the television tally is greater than the number of rows in the table of television text minus 1 and we have examined the letter from kruschev. intercom-scene ends when switching on the intercom.

When intercom-scene begins:
    say "[p]A light on the intercom on your desk appears to be blinking.";
    now the intercom is usable.
   
understand "answer [intercom]" as switching on.
   
understand "use [a device]" as switching on.


after switching on the intercom:
    say "The voice of your secretary crackles over the speaker:
[i][p] 'Mr. President, there is someone here to talk to you about the Defense Readiness Condition (DEFCON). I'll send him in right away.'[r][p]A man enters the office.";
    move defcon man to the office;
    try switching off the intercom;
    now the intercom is not usable.
   
the defcon man is a man. "A tall, middle-aged man in a military uniform stands near the middle of the room.". The description of the defcon man is "A tall, middle-aged man in a military uniform.  He looks like he wants to talk to you." The printed name is "military officer". defcon man is in nothingness. 

talking is an action applying to one thing.
understand "talk to [someone]" as talking.

carry out talking:
    say "You talk to [the noun]. [if the noun is the player]Are you feeling alright?[end if]".
   
instead of talking during ExComm:
    say "It would be rude to interrupt someone.  How about listening to what they have to say?".

after talking when the noun is defcon man for the first time: say "Military Officer: Excuse me Mr. President, but I'm here to discuss the current Defense Readiness Condition (DEFCON) with you. With the recent events, your advisors think that you should consider [i]setting the defcon level to 3[r].".
after talking when the noun is defcon man: say "Military Officer: Like I said, you should consider [i]setting the defcon level to 3[r].".
   
setting defcon level is an action applying to nothing.
understand "set the defcon level to 3" or "set defcon level to 3" or "set defcon to 3" or "set level to 3" as setting defcon level.

carry out setting defcon level for the first time:
    say "For the first time in history, you set the U.S. defense condition level to 3".



october 25th is a scene.  october 25th begins when october 22nd ends. october 25th ends when writing response.
when october 25th begins:
    now the defcon man is in nothingness;
    now the description of the calendar is "October 25th, 1962.";
    now the Guardian clipping is on the desk;
    now the new letter is on desk;
    if the envelope is not carried, move the envelope to nothingness;
    now the Tribune clipping is on the desk;
    say "[br]A few days pass...[p]Walking back into your office today, something on your desk catches your eye."

[after looking while (the Guardian clipping is on the desk or the Tribune clipping is on the desk) and october 25th is happening:
    say "Something on the desk catches your eye.".]

the Guardian clipping is a thing.  "A clipping from the Guardian.".  the Guardian clipping is in nothingness.  the description of the guardian clipping is "[b]US BLOCKADES CUBA TODAY[r]

October 24, 1962

The US secretary of defence, Mr Robert McNamara, said in Washington last night that armed boarding parties would be ready to search about 25 Russian cargo ships moving towards Cuba when the US partial blockade of Cuba comes into effect at 3 p.m. (BST) today. The proclamation giving effect to the blockade was signed by President Kennedy last night.

At a press conference in the Defence Department, Mr McNamara said he had ordered that all Navy and Marine personnel should be held on active duty for as much as a year beyond the expiration of their normal tours.
...
Russia cancelled all military leave yesterday after the Soviet Government had issued a harshly worded reply to President Kennedy. The Russians said that America was playing with fire and added that a most powerful retaliatory blow would follow if 'the aggressors' touched off war. Other members of the Communist block have ordered military preparedness.
...
The Security Council met last night to discuss the crisis. Mr Zorin, Russian president of the council, presented a draft resolution asking the Council to 'insist' that the US revoke its blockade decision. The resolution called for talks between Russia, Cuba and the US, with the purpose of 'normalising the situation and removing the threat of war.' [note guardian]".

before examining the guardian clipping, say "You read the newspaper clipping from [i]The Guardian[r]:[p]".
before examining the tribune clipping, say "You read the [i]New York Herald Tribune[r] clipping:[p]".

the Tribune clipping is a thing.  "A clipping from the New York Herald Tribune.". the Tribune clipping is in nothingness.  The description of the Tribune clipping is "[b]Blockade Proclaimed[r]

October 25, 1962

It is Wednesday morning as I am writing this article and the President's proclamation of a selective blockade has just gone into effect. We are now waiting for the other shoe to drop.
...
We have, we must note, made two separate demands. One is that no more 'offensive weapons' shall be brought into Cuba. On this demand. we shall soon have a showdown. Considering the unanmity of the other American states, considering the strategic weakness of the Soviet Union in this hemisphere, there is reason to hope that the quarantine of Cuba will work, though, we must expect retaliation elsewhere.

But the President has laid down a second demand, which is that the missile installations already in Cuba be dismantled and removed.
...
There are three ways to get rid of the missiles in Cuba. One is to invade and occupy Cuba. The second way is to institute a total blockade, particularly of oil shipments, which would in a few months ruin the Cuban economy. The third way is to try, I repeat to try, to negotiate a face-saving agreement.
...
The only place that is truly comparable with Cuba is Turkey. This is the only place where there are strategic weapons right on the frontier of the Soviet Union.
...
There is another important similarity between Cuba and Turkey. The Soviet missile base in Cuba, like the U.S.-NATO base in Turkey, is of little military value.
...
For all these resons I say that an agreement of this sort may be doable and that there may exist a way out of the tyranny of automatic and uncontrollable events. [note tribune]".


a new letter is a thing. "Another letter from Kruschev.".  new letter is in nothingness.  The description of the new letter is "Moscow, October 24, 1962.

Dear Mr. President:

I have received your letter of October 23, have studied it, and am answering you.

Just imagine, Mr. President, that we had presented you with the conditions of an ultimatum which you have presented us by your action. How would you have reacted to this? I think that you would have been indignant at such a step on our part. And this would have been understandable to us.

In presenting us with these conditions, you, Mr. President, have flung a challenge at us.
....
No, Mr. President, I cannot agree to this, and I think that in your own heart you recognize that I am correct. I am convinced that in my place you would act the same way.
...
We firmly adhere to the principles of international law and observe strictly the norms which regulate navigation on the high seas, in international waters. We observe these norms and enjoy the rights recognized by all states.
...
The Soviet Government considers that the violation of the freedom to use international waters and international air space is an act of aggression which pushes mankind toward the abyss of a world nuclear-missile war. Therefore, the Soviet Government cannot instruct the captains of Soviet vessels bound for Cuba to observe the orders of American naval forces blockading that Island.
...
Naturally we will not simply be bystanders with regard to piratical acts by American ships on the high seas. We will then be forced on our part to take the measures we consider necessary and adequate in order to protect our rights. We have everything necessary to do so.

Respectfully,

N. Khrushchev [note kruschev-1][p]
You should probably write a response to Kruschev.".

writing response is an action applying to nothing.
understand "write response" or "write to kruschev" or "write a response to kruschev" or "write response to kruschev" or "write letter" or "write letter to Kruschev" as writing response.

carry out writing response during october 25th:
    say "You write a response to Kruschev:[p]
    [i]October 25, 1962

Dear Mr. Chairman:

I have received your letter of October 24, and I regret very much that you still do not appear to understand what it is that has moved us in this matter.

The sequence of events is clear. In August there were reports of important shipments of military equipment and technicians from the Soviet Union to Cuba. In early September I indicated very plainly that the United States would regard any shipment of offensive weapons as presenting the gravest issues. After that time, this Government received the most explicit assurances from your Government and its representatives, both publicly and privately, that no offensive weapons were being sent to Cuba. If you will review the statement issued by Tass in September, you will see how clearly this assurance was given.

In reliance on these solemn assurances I urged restraint upon those in this country who were urging action in this matter at that time. And then I learned beyond doubt what you have not denied -- namely, that all these public assurances were false and that your military people had set out recently to establish a set of missile bases in Cuba. I ask you to recognize clearly, Mr. Chairman, that it was not I who issued the first challenge in this case, and that in the light of this record these activities in Cuba required the responses I have announced.

I repeat my regret that these events should cause a deterioration in our relations. I hope that your Government will take the necessary action to permit a restoration of the earlier situation.

Sincerely yours,
    [r] [note kruschev-1][p]You sign the letter and send it.".
   
when october 25th ends:
    if new letter is not carried, move new letter to nothingness;
    if guardian clipping is not carried, move guardian clipping to nothingness;
    if tribune clipping is not carried, move tribune clipping to nothingness;

october 27th is a scene. october 27th begins when october 25th ends. october 27th ends when writing response for the second time.

when october 27th begins:
    now the description of the calendar is "October 27th, 1962";
    now the third letter is on the desk;
    now the second memo is on the desk;
    say "A few days pass...[p]Walking into your office, you notice a few new things on your desk.".
   
third letter is a thing in nothingness.  "Another letter from Kruschev".  The printed name is "another letter".  The description of the third letter is "  It is a letter from Kruschev, in reference to your latest dealings.

'October 27th, 1962

Mr. President,

  I have studied with great satisfaction your reply to Mr. Thant concerning measures that should be taken to avoid contact between our vessels and thereby avoid irreparable and fatal consequences. This reasonable step on your part strengthens my belief that you are showing concern for the preservation of peace, which I note with satisfaction....

  ...In your statement you expressed the opinion that the main aim was not simply to come to an agreement and take measures to prevent contact between our vessels and consequently a deepening of the crisis which could, as a result of such contacts spark a military conflict, after which all negotiations would be superfluous because other forces and other laws would then come into play--the laws of war. I agree with you that this is only the first step. The main thing that must be done is to normalize and stabilize the state of peace among states and among peoples...

...You wish to ensure the security of your country, and this is understandable. But Cuba, too, wants the same thing; all countries want to maintain their security. But how are we, the Soviet Union, our Government, to assess your actions which are expressed in the fact that you have surrounded the Soviet Union with military bases; surrounded our allies with military bases; placed military bases literally around our country; and stationed your missile armaments there? This is no secret. Responsible American personages openly declare that it is so. Your missiles are located in Britain, are located in Italy, and are aimed against us. Your missiles are located in Turkey


  You are disturbed over Cuba. You say that this disturbs you because it is 90 miles by sea from the coast of the United States of America. But Turkey adjoins us; our sentries patrol back and forth and see each other. Do you consider, then, that you have the right to demand security for your own country and the removal of the weapons you call offensive, but do not accord the same right to us? You have placed destructive missile weapons, which you call offensive, in Turkey, literally next to us. How then can recognition of our equal military capacities be reconciled with such unequal relations between our great states? This is irreconcilable...

...I therefore make this proposal: We are willing to remove from Cuba the means which you regard as offensive. We are willing to carry this out and to make this pledge in the United Nations. Your representatives will make a declaration to the effect that the United States, for its part, considering the uneasiness and anxiety of the Soviet State, will remove its analogous means from Turkey...

...These are my proposals, Mr. President.' [note kruschev-1]

You are concerned that Kruschev is now making demands, such as the removal of missiles from Turkey.  You should probably write a response to Kruschev".

second memo is a thing in nothingness.  "A memo".  the printed name is "memo".  The description of the second memo is "According to the memo, a U-2 aircraft was shot down over Cuba today. It was flying a reconnaissance mission, and was piloted by Maj. Rudolf Anderson.".

carry out writing response during october 27th:
    say "You sit down at your desk and contemplate the situation. The demands from Kruschev's most recent letter that the U.S. remove missiles from Turkey is troubling. They were not present in the letter before that, which you also haven't replied to yet.  Agreeing to those demands would make the United States look weak, as though they had given in. What to do...

  You decide to only reply to the letter from the 26th (which only asked that the US not invade Cuba), completely ignoring the one containing demands received today. You quietly pick up your pen and begin writing...

  'I have read your letter of October 26th with great care and welcomed the statement of your desire to seek a prompt solution to the problem. The first thing that needs to be done, however, is for work to cease on offensive missile bases in Cuba and for all weapons systems in Cuba capable of offensive use to be rendered inoperable, under effective United Nations arrangements.

Assuming this is done promptly, I have given my representatives in New York instructions that will permit them to work out this weekend--in cooperation with the Acting Secretary General and your representative--an arrangement for a permanent solution to the Cuban problem along the lines suggested in your letter of October 26th. As I read your letter, the key elements of your proposals--which seem generally acceptable as I understand them--are as follows:

1) You would agree to remove these weapons systems from Cuba under appropriate United Nations observation and supervision; and undertake, with suitable safeguards, to halt the further introduction of such weapons systems into Cuba.

2) We, on our part, would agree--upon the establishment of adequate arrangements through the United Nations to ensure the carrying out and continuation of these commitments--(a) to remove promptly the quarantine measures now in effect and (b) to give assurances against an invasion of Cuba. I am confident that other nations of the Western Hemisphere would be prepared to do likewise...

...I hope we can quickly agree along the lines in this letter and in your letter of October 26th.' [note kruschev-1]

You are walking a thin line, trying to prevent international war while at the same time not letting the United States appear weak. You hope that Mr. Kruschev will be reasonable...

Signing and sealing the letter, you stand up and give it to an assisstant to be transported to Kruschev as quickly as possible. Tired and worried, you decide to retire for the day...".


when october 27th ends:
    if second memo is not carried, move second memo to nothingness;
    if third letter is not carried, move third letter to nothingness.

october 28th is a scene.  october 28th begins when october 27th ends. 

when october 28th begins:
    now the description of the calendar is "October 28th, 1962";
    now the fourth letter is on the desk;
    say "The next day, you return to your office...".
   
a fourth letter is a thing in nothingness. "A letter from Kruschev".  The printed name is "letter from Kruschev".  The description of the fourth letter is "Dear Mr. President:

I have received your message of October 27. I express my satisfaction and thank you for the sense of proportion you have displayed and for realization of the responsibility which now devolves on you for the preservation of the peace of the world.

I regard with great understanding your concern and the concern of the United States people in connection with the fact that the weapons you describe as offensive are formidable weapons indeed. Both you and we understand what kind of weapons these are.

...

Mr. President, I should like to repeat what I had already written to you in my earlier messages--that the Soviet Government has given economic assistance to the Republic of Cuba, as well as arms, because Cuba and the Cuban people were constantly under the continuous threat of an invasion of Cuba.

...

The threat of invasion of Cuba and all other schemes for creating tension over Cuba are designed to strike the Cuban people with a sense of insecurity, intimidate them, and prevent them from peacefully building their new life.

I regard with respect and trust the statement you made in your message of October 27, 1962, that there would be no attack, no invasion of Cuba, and not only on the part of the United States, but also on the part of other nations of the Western Hemisphere, as you said in your same message. Then the motives which induced us to render assistance of such a kind to Cuba disappear.

It is for this reason that we instructed our officers ... to take appropriate measures to discontinue construction of the aforementioned facilities, to dismantle them, and to return them to the Soviet Union. As I had informed you in the letter of October 27, we are prepared to reach agreement to enable United Nations Representatives to verify the dismantling of these means.

Thus in view of the assurance you have given and our instructions on dismantling, there is every condition for eliminating the present conflict.

...

I should like to express the following wish; it concerns the Cuban people. You do not have diplomatic relations. But through my officers in Cuba, I have reports that American planes are making flights over Cuba.

We are interested that there should be no war in the world, and that the Cuban people should live in peace. And besides, Mr. President, it is no secret that we have our people in Cuba. Under such a treaty with the Cuban Government we have sent there officers, instructors, mostly plain people: specialists, agronomists, zoo technicians, irrigators, land reclamation specialists, plain workers, tractor drivers, and others. We are concerned about them.

...

N. Khrushhchev [note kruschev-1]".

after examining the fourth letter, end the game in victory.


[--------------------------------------------------------------]
Table of Footnotes (continued)
    Name    Note    Index    Read
    aerial-photographs    "Photographs seen at http://www.gwu.edu/~nsarchiv/nsa/cuba_mis_cri/photos.htm"
    kruschev-1    "From http://www.jfklibrary.org/jfkl/cmc/cmc_correspondence.html"
    kennedy-speech    "http://www.cnn.com/SPECIALS/cold.war/episodes/10/documents/kennedy.speech/"
    duck-and-cover    "The original [i]Duck and Cover[r] film can be seen at: http://www.youtube.com/watch?v=l6_rrCMm8tk"
    guardian    "From The Guardian (http://www.guardian.co.uk/theguardian/2008/oct/24/jfk-cuba-blockade)"
    tribune    "Walter Lippmann, 'Blockade Proclaimed,' New York Herald Tribune, 25 October 1962 (http://www.mtholyoke.edu/acad/intrel/cuba/lippmann.htm)"